# == Schema Information
#
# Table name: media_objs
#
#  id                :integer          not null, primary key
#  file_file_name    :string(255)
#  file_content_type :string(255)
#  file_file_size    :integer
#  file_updated_at   :datetime
#  type              :string(255)
#  creator_type      :string(255)
#  creator_id        :integer
#  created_at        :datetime         not null
#  updated_at        :datetime         not null
#
# Indexes
#
#  index_media_objs_on_creator_type_and_creator_id  (creator_type,creator_id)
#
module Whaleback
  module Media
    class Obj
      class Document < Obj
        validates_attachment_size :file, less_than: 500.megabytes
        validates_attachment_content_type :file, 
          content_type: [
            "application/pdf",
            "application/vnd.ms-excel",
            "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
            "application/msword",
            "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
            "application/vnd.ms-powerpoint",
            "application/vnd.openxmlformats-officedocument.presentationml.presentation",
            "application/wps-writer",
            "text/plain",
            "application/zip",
            "application/json"
          ]
      end
    end
  end
end
